summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIskren Slavov <iskren.s@gmail.com>2010-11-17 09:36:10 +0200
committerIskren Slavov <iskren.s@gmail.com>2010-11-17 09:36:10 +0200
commit854e936bf28fc1a20b6e7d1b29a01194216160b1 (patch)
tree4baf9c35c3bc5cae84da8d9374764e82fff34456 /dev-libs/libgweather
parentAdded flyback-0.6.5-1 (diff)
downloadwish-854e936bf28fc1a20b6e7d1b29a01194216160b1.tar.gz
wish-854e936bf28fc1a20b6e7d1b29a01194216160b1.tar.bz2
wish-854e936bf28fc1a20b6e7d1b29a01194216160b1.zip
liferea version bump
Diffstat (limited to 'dev-libs/libgweather')
-rw-r--r--dev-libs/libgweather/Manifest4
-rw-r--r--dev-libs/libgweather/files/libgweather-2.30.0-add-stara-zagora.patch19
-rw-r--r--dev-libs/libgweather/files/libgweather-2.30.0-fix-automagic-python-support.patch24
-rw-r--r--dev-libs/libgweather/libgweather-2.30.2-r1.ebuild54
4 files changed, 101 insertions, 0 deletions
diff --git a/dev-libs/libgweather/Manifest b/dev-libs/libgweather/Manifest
new file mode 100644
index 0000000..737f524
--- /dev/null
+++ b/dev-libs/libgweather/Manifest
@@ -0,0 +1,4 @@
+AUX libgweather-2.30.0-add-stara-zagora.patch 636 RMD160 230462c5e9e3a2600692ac462ea6d1b85f28ea33 SHA1 a1e6bfc2e743407ba13a77d650cde2740b945da3 SHA256 7a55580193dea6ebd21341732935e4b050e8c9165e36cd21bb9b1eab86bc113a
+AUX libgweather-2.30.0-fix-automagic-python-support.patch 838 RMD160 a7b99bd433e51ec7c7ddb5b7fe13beb83caa980f SHA1 ed1ebad4b965b1da8f6095f72b3634822881eb43 SHA256 d6e1462c5a7d57908bb378dcec65ed8ec1bba8ac19883d67801a696b73157597
+DIST libgweather-2.30.2.tar.bz2 7452039 RMD160 3950b8342e4e5fe5435c780193dc19f978e6f375 SHA1 0b871e517a45314ff9b6701d406fa57224326e04 SHA256 dd98545cd4aaa2a856e62c9cc7822baf8d5f54bd277fd56ed8de6728dd61e312
+EBUILD libgweather-2.30.2-r1.ebuild 1479 RMD160 d2a1e469268fcd360a6d2309320134ecfe30e80b SHA1 707c2097b80fab4427f061c930e72d8cf1b9dbd4 SHA256 77b87950886e75cbfa38e6dd372f41ba06442dfd71a40a81818bae5a90135957
diff --git a/dev-libs/libgweather/files/libgweather-2.30.0-add-stara-zagora.patch b/dev-libs/libgweather/files/libgweather-2.30.0-add-stara-zagora.patch
new file mode 100644
index 0000000..73384d0
--- /dev/null
+++ b/dev-libs/libgweather/files/libgweather-2.30.0-add-stara-zagora.patch
@@ -0,0 +1,19 @@
+--- data/Locations.xml.in.orig 2010-11-16 17:28:02.626000041 +0200
++++ data/Locations.xml.in 2010-11-16 17:56:38.350000041 +0200
+@@ -12420,6 +12420,16 @@
+ <coordinates>43.200000 27.916667</coordinates>
+ </location>
+ </city>
++ <city>
++ <!-- A city in Bulgaria -->
++ <_name>Stara Zagora</_name>
++ <coordinates>42.4327778 25.6419444</coordinates>
++ <location>
++ <name>Stara Zagora</name>
++ <code>LBSZ</code>
++ <coordinates>42.4327778 25.6419444</coordinates>
++ </location>
++ </city>
+ </country>
+ <country>
+ <!-- HR - Croatia -->
diff --git a/dev-libs/libgweather/files/libgweather-2.30.0-fix-automagic-python-support.patch b/dev-libs/libgweather/files/libgweather-2.30.0-fix-automagic-python-support.patch
new file mode 100644
index 0000000..77f2f94
--- /dev/null
+++ b/dev-libs/libgweather/files/libgweather-2.30.0-fix-automagic-python-support.patch
@@ -0,0 +1,24 @@
+From 03626e45436b0b9c345e0c07e4f488375639877a Mon Sep 17 00:00:00 2001
+From: Romain Perier <mrpouet@gentoo.org>
+Date: Sat, 19 Sep 2009 20:54:32 +0200
+Subject: [PATCH] Fix automagic python support when --disable-python is given on the command line
+
+---
+ configure.in | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index f363571..743fe9d 100644
+--- a/configure.in
++++ b/configure.in
+@@ -215,7 +215,7 @@ dnl ***************************************************************************
+ AC_ARG_ENABLE(python,
+ [AC_HELP_STRING([--enable-python],
+ [Build libgweather python bindings])],
+- [enable_python=yes],
++ [enable_python=$enableval],
+ [enable_python=no])
+ if test "$enable_python" = "yes"; then
+ AM_PATH_PYTHON()
+--
+1.6.5.rc1
diff --git a/dev-libs/libgweather/libgweather-2.30.2-r1.ebuild b/dev-libs/libgweather/libgweather-2.30.2-r1.ebuild
new file mode 100644
index 0000000..e90a7d4
--- /dev/null
+++ b/dev-libs/libgweather/libgweather-2.30.2-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgweather/libgweather-2.30.2.ebuild,v 1.9 2010/10/17 15:15:49 armin76 Exp $
+
+EAPI="2"
+GCONF_DEBUG="no"
+
+inherit autotools gnome2
+
+DESCRIPTION="Library to access weather information from online services"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ppc ppc64 sh sparc x86 ~x86-fbsd"
+IUSE="python doc"
+
+# libsoup-gnome is to be used because libsoup[gnome] might not
+# get libsoup-gnome installed by the time ${P} is built
+RDEPEND=">=x11-libs/gtk+-2.11
+ >=dev-libs/glib-2.13
+ >=gnome-base/gconf-2.8
+ >=net-libs/libsoup-gnome-2.25.1:2.4
+ >=dev-libs/libxml2-2.6.0
+ python? (
+ >=dev-python/pygobject-2
+ >=dev-python/pygtk-2 )
+ !<gnome-base/gnome-applets-2.22.0"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.40.3
+ >=dev-util/pkgconfig-0.19
+ >=dev-util/gtk-doc-am-1.9
+ doc? ( >=dev-util/gtk-doc-1.9 )"
+
+DOCS="AUTHORS ChangeLog MAINTAINERS NEWS"
+
+pkg_setup() {
+ G2CONF="${G2CONF}
+ --enable-locations-compression
+ --disable-all-translations-in-one-xml
+ --disable-static
+ $(use_enable python)"
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Fix building -python, Gnome bug #596660.
+ epatch "${FILESDIR}/${PN}-2.30.0-fix-automagic-python-support.patch"
+ epatch "${FILESDIR}/${PN}-2.30.0-add-stara-zagora.patch"
+
+ intltoolize --force --copy --automake || die "intltoolize failed"
+ eautoreconf
+}